Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SparseArray.ObjectNode

`java.lang.Object
com.tangosol.util.AbstractSparseArray.Node
com.tangosol.util.SparseArray.ObjectNode`

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Enclosing class:
  SparseArray

      protected static class SparseArray.ObjectNode

extends AbstractSparseArray.Node

Node mapping long key to Object value.

Field Summary
`protected java.lang.Object` | `m_oValue` The Node's value.

Fields inherited from class com.tangosol.util.AbstractSparseArray.Node
`balance, key, left, parent, right`

Constructor Summary
`SparseArray.ObjectNode(long lKey, java.lang.Object oValue)`

Method Summary
`java.lang.Object` | `getValue()` Get the value associated with the node.
`java.lang.Object` | `setValue(java.lang.Object oValue)` Set the value associated with the node.

Methods inherited from class com.tangosol.util.AbstractSparseArray.Node
`adopt, clone, isLeaf, isLinked, print, toString, validate`

Field Detail

### m_oValue

    protected java.lang.Object m_oValue

  The Node's value.

Constructor Detail

### SparseArray.ObjectNode

    public SparseArray.ObjectNode(long lKey,
                                  java.lang.Object oValue)

Method Detail

### setValue

    public java.lang.Object setValue(java.lang.Object oValue)

  Description copied from class: `AbstractSparseArray.Node`
  Set the value associated with the node.
  Specified by:
    `setValue` in class `AbstractSparseArray.Node`
  Parameters:
    `oValue` - the value assocaited with the node
  Returns:
    the old value associated with the node

### getValue

    public java.lang.Object getValue()

  Description copied from class: `AbstractSparseArray.Node`
  Get the value associated with the node.
  Specified by:
    `getValue` in class `AbstractSparseArray.Node`
  Returns:
    the value associated with the node.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.